VSCode中调试flutter出现Downloading canvaskit错误_zuozeye的博客-CSDN博客_flutter vscode

baacloud免费翻墙vpn注册使用

来源: VSCode中调试flutter出现Downloading canvaskit错误_zuozeye的博客-CSDN博客_flutter vscode

又来记录在Flutter遇到的坑了,这次其实应该不是配置和的问题,而是冬奥会开始了,墙被加固了的原因。

情况是这样的,当你写好一个flutter的应用,第一次运行时,会提示你下载几个文件
web sdk,canvaskit,
但是今天一直卡在Downloading canvaskit就下载失败,应为要访问google的源,试了多个梯子都没用,只好换个国内的镜像了。

首先打开flutter SDK 的安装目录,找到flutter.gradle文件。

安装目录\packages\flutter_tools\gradle\flutter.gradle

然后用记事本打开,主要不要改变了编码格式,搜索 buildscript 找到代码位置,大概是50行左右。
把原有的google()和mavenCentral()注释掉,添加国内的源地址。

一开始我只指定了google的源,不太好使,有添加了阿里的源,如果可选择的地址,可以多添加几个作为备用。

buildscript {undefined
repositories {undefined
//google()
//mavenCentral()
maven { url ‘https://maven.aliyun.com/repository/google’}
maven { url ‘https://maven.aliyun.com/repository/jcenter’ }
maven { url ‘http://maven.aliyun.com/nexus/content/groups/public’}
maven { url ‘https://dl.google.com/dl/Android/maven2/’}
}

然后在系统环境变量中增加

FLUTTER_STORAGE_BASE_URL — https://storage.flutter-io.cn

PUB_HOSTED_URL — https://pub.flutter-io.cn

最后重启VSCode,再次尝试编译。

OK!搞定。
————————————————
版权声明:本文为CSDN博主「无死角姐夫」的原创文章,遵循CC 4.0 BY-SA版权协议,转载请附上原文出处链接及本声明。
原文链接:https://blog.csdn.net/zuozeye/article/details/122632431





赞(0) 打赏
分享到: 更多 (0)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏